
Application: gvSIG desktop - gvSIG feature requests #2252
Problema con WFS 1.1.0
01/28/2014 07:42 PM - José Vicente Higón

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: WFS
Target version: 2.1.0-2239-testing
gvSIG version: 2.1.0 Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: No Proyecto:
Add-on name: Unknown Hito:
Add-on version:
Description

Al conectar a un servicio WFS 1.1.0, gvSIG pinta las geometrías con los ejes X,Y invertidos.
Si ese mismo GML resultado se carga como un fichero (lo obtengo de /tmp/tmp-andami), también aparecen los ejes invertidos.
La versión de GML es 3.1.1.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 2720: Alguno... Closed 07/24/2014

History
#1 - 01/28/2014 07:45 PM - Álvaro Anguix
- Assignee set to Juan Lucas Domínguez
- Target version set to 2.1.0-2219-testing

#2 - 01/29/2014 04:09 PM - Juan Lucas Domínguez

Hola, por ahora no soportamos servidores WFS 1.1.0 si el SRS es geográfico. Hay que elegir versión WFS 1.0.0 en el combo o bien pedir un SRS que
sea en metros (no geodético).

#3 - 01/29/2014 04:19 PM - Álvaro Anguix
- Tracker changed from gvSIG bugs to gvSIG feature requests
- Priority changed from Normal to High
- Target version deleted (2.1.0-2219-testing)

Paso a feature request soportar WFS 1.1.0

#4 - 02/19/2014 09:09 AM - Juan Lucas Domínguez

Una posibilidad podría ser aplicar una transformación sobre el FeatureStore en el caso de WFS 1.1.0 con SRS geográfico. La transformación sería
aplicar la matriz de inversión de ejes a cada geometría:

010
100
001

Lo probaré un día de estos.
#5 - 04/04/2014 10:28 AM - Álvaro Anguix
- Priority changed from High to Normal

#6 - 04/04/2014 10:39 AM - Álvaro Anguix
- Assignee deleted (Juan Lucas Domínguez)

#7 - 06/19/2014 12:19 PM - Antonio Falciano

Because all the WFS layers provided by the Italian National Geoportal [1] are defined in EPSG:4326, all of them is quite unusable at the moment with
gvSIG 2.1. The actual management of the suitable WFS version doesn't help in this case.

[1] http://www.pcn.minambiente.it/PCNDYN/catalogowfs.jsp?lan=it

#8 - 07/24/2014 11:53 AM - Álvaro Anguix
- Related to gvSIG feature requests #2720: Algunos servicios WFS envian la X e Y intercambiadas. added

#9 - 07/25/2014 10:16 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2259-rc3
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#10 - 07/27/2014 09:42 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2239-testing

#11 - 07/28/2014 05:26 AM - Álvaro Anguix
- Status changed from Fixed to Closed
